package com.uas.platform.b2b.core.support;

import org.apache.log4j.Logger;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;

import com.uas.platform.b2b.core.util.ContextUtils;

public class ApplicationContextRegister implements ApplicationContextAware {

	private static Logger logger = Logger.getLogger(ApplicationContextRegister.class);

	@Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
		ContextUtils.setApplicationContext(applicationContext);
		logger.debug("ApplicationContext registed");
	}
	
}
